Organizations API
Change a project member's role
PUT
Needs the manage members permission. Returns 403 with code ORG_PENDING_DELETION while the organization is pending deletion. Requires an interactive browser session; project-scoped CLI tokens receive 403.
sessionCookiecookie
better-auth.session_token<token>Interactive Better Auth browser session. Secure deployments may use the __Secure- cookie prefix.
id*stringFormat
uuidapplication/json- body
userId*stringAn existing member of the organization.
Format
uuidrole*stringCannot be higher than the member's organization role.
Value in
"project_admin""project_editor""project_viewer"Role updated
curl -X PUT 'https://app.supercheck.io/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/members' \ -H 'Content-Type: application/json' \ -d '{ "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "role": "project_admin"}'Example Response
Empty